Subject: [netmod] 2 more data types (!)

From: Andy Bierman <[email-masked]>
Date: Sat, 31 Jan 2009 13:46:14 -0800

Hi,

I know this would be a significant change,
so it is OK if we handle it with extensions
until later.

   1) qname
   2) xpath

Both of these data types are special because of their content:
   1) the manager must provide xmlns decls for the YANG prefixes
   2) the agent must match xmlns decls to YANG namespaces

The data type 'instance-identifier' is already covered,
but it would be on this special list as well.

I guess (1) shows up more frequently then (2).
I just allow an extension anywhere in the type-stmt 'ncx:xpath'
to indicate a typedef or leaf/leaf-list needs to
be checked as an XPath expression.  I also use a hack to
check the content of every input XML string to
see if it looks like a QName. If so, the XML prefix
is resolved right then.  I would still do this
rather than trying to tie XML input to schema
validation at that point, but a qname data type
would allow schema validation later on.

We already have a super-constrained QName, called identityref.
Is it worth it to have a generic version to
match the QName definition from XSD as well?

These seem to be pretty important XML details to leave out.
They should be considered first, then left out :-)

Andy

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod